/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.feesapi.wxgl.wechatpay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.wxgl.wechatpay.entity.PaySelect;
import com.tofly.feesapi.wxgl.wechatpay.entity.vo.*;

import java.util.List;

/**
 * 微信-支付查询接口
 */
public interface IPaySelectService extends IService<PaySelect> {

    PaySelectQfVo getYhqfxx(PaySelect dto);

    PaySelectOrderStatusVo getOrderStatus(PaySelect dto);

    List<PaySelectSfxmVo> getSfmxList(PaySelect dto);

    List<PaySelectSfxmVo> getYhSfmxList(PaySelect dto);

    List<QfSelectCbxmVo> getYhCbmxList(PaySelect dto);

    List<YhSelectxxVo> getYhxxList(PaySelect dto);
}
